SDL_Direct3D9GetAdapterIndex(3)

NAME
SDL_Direct3D9GetAdapterIndex - Get the D3D9 adapter index that matches the specified display.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_Direct3D9GetAdapterIndex(SDL_DisplayID displayID);

DESCRIPTION
The returned adapter index can be passed to IDirect3D9::CreateDevice and controls on which monitor a full screen application will appear.

FUNCTION PARAMETERS

displayID
    the instance of the display to query

RETURN VALUE
Returns the D3D9 adapter index on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.